List Codexgate Agents
GET
/v1/admin/codexgate/agents
const url = 'https://example.com/v1/admin/codexgate/agents';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/admin/codexgate/agentsParameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
AgentPersonaListOut
object
items
Items
Array<object>
AgentPersonaOutobject
agent_key
required
Agent Key
string
display_name
required
Display Name
string
purpose
Purpose
string
stable_identity
Stable Identity
string
default_engine
Default Engine
string
allowed_packs
Allowed Packs
Array<string>
gitops_surfaces
Gitops Surfaces
Array<string>
total
Total
integer
Example
{ "items": [ { "purpose": "", "stable_identity": "", "default_engine": "" } ], "total": 0}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}